# $Id: smeserver-qos-1.0.spec,v 1.8 2009/03/03 21:36:59 slords Exp $
# Authority: VIP-ire
# Name: Daniel Berteaud

%define name smeserver-qos
%define version 1.1
%define release 10

Summary: Install management web console for QoS
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GNU GPL version 2
URL: http://contribs.org
Group: SMEserver/addon
Source: %{name}-%{version}.tar.gz

Patch1: smeserver-qos-1.1-acks_after_low_prio.patch
Patch2: smeserver-qos-1.1-add_burst_to_root.patch
Patch3: smeserver-qos-1.1-reservation_per_class_2.patch
Patch4: smeserver-qos-1.1-prio_for_tcp_syn.patch
Patch5: smeserver-qos-1.1-revert_prio_2_to_sfq.patch
Patch6: smeserver-qos-1.1-remove_default_and_reduce_r2q.patch
Patch7: smeserver-qos-1.1-tos_minimize_cost.patch
Patch8: smeserver-qos-1.1-syn_acks.patch
Patch9: smeserver-qos-1.1-zabbix.patch
Patch10: smeserver-qos-1.1-customize_percent_from_db.patch
Patch11: smeserver-qos-1.1-read_r2q_from_db.patch
Patch12: smeserver-qos-1.1-openvpn.patch
Patch13: smeserver-qos-1.1-return_lan_trafic.patch
Patch14: smeserver-qos-1.1-tos2dscp.patch
Patch15: smeserver-qos-1.1-very_low_prio.patch
Patch16: smeserver-qos-1.1-smtp_submit_port.patch

BuildRoot: %{_tmppath}/%{name}-buildroot
BuildArchitectures: noarch
BuildRequires: e-smith-devtools >= 1.13.1-03
Requires: e-smith-base
Conflicts: smeserver-htbwshaper

%description
SME Server admin interface for QoS

%changelog
* Tue Apr 19 2011 Daniel B. <daniel@firewall-services.com> - 1.1-10.sme
- Add rules for SMTP submission port (587)

* Mon Oct 25 2010 Daniel B. <daniel@firewall-services.com> - 1.1-9.sme
- Add another class (very low priority)

* Mon Oct 25 2010 Daniel B. <daniel@firewall-services.com> - 1.1-8.sme
- Use DSCP field instead of TOS

* Fri  Oct 22 2010 Daniel B. <daniel@firewall-services.com> - 1.1-7.sme
- Just return LAN trafic

* Wed Oct 20 2010 Daniel B. <daniel@firewall-services.com> - 1.1-6.sme
- Classification based on TOS field
- Support for OpenVPN trafic shaping

* Mon May 03 2010 Daniel B. <daniel@firewall-services.com> - 1.1-5.sme
- % of each class can be specidied in the DB
- r2q can be changed in the db

* Thu Apr 29 2010 Daniel B. <daniel@firewall-services.com> - 1.1-4.sme
- packets with tos set as minimize-cost sent in lowest priority
  class
- syn-acks go in class 2
- Zabbix communications go in class 2

* Tue Apr 27 2010 Daniel B. <daniel@firewall-services.com> - 1.1-3.sme
- Add burst to the root class
- remove .orig file
- changes in % reserved for each class (50, 25, 15, 10)
- give TCP SYN the same prio than TCP ACKs
- revert class 2 to sfq
- reduce r2q for low bandwidth links, and remove useless default

* Tue Apr 27 2010 Daniel B. <daniel@firewall-services.com> - 1.1-2.sme
- Detects TCP Acks just before the catch all rule

* Mon Apr 26 2010 Daniel B. <daniel@firewall-services.com> - 1.1-1.sme
- Fixe high priority class handle
- Use pfifo instead of sfq for high priority traffic (often UDP)
- Better TCP ACK detection
- Adjust r2q for low bandwidth connexions
- remove useless OUTPUT rules (catched in POSTROUTING)
- changes in % reserved for each class
- allow 5k burst for the highest priority classes (10 and 11)

* Thu Oct 01 2009 Daniel B. <daniel@firewall-services.com> - 1.0-4.sme
- Various cleanups
- Add high priority hosts
- translate panel name

* Mon May 04 2009 Daniel B. <daniel@firewall-services.com> - 1.0-3.sme
- Add TC rules for OUTPUT so outgoing traffic from the server itself
  is also shaped

* Mon Apr 14 2009 Daniel B. <daniel@firewall-services.com> - 1.0-2
- Adjust qos on ip-up event
- Print action (stop/start/restart) in init script

* Mon Mar 16 2009 Daniel B. <daniel@firewall-services.com> - 1.0-1
- Change default status to disabled
- Class 1 gets 70%, class 2 15%, class 3 10% and class 4 5% (reserved)
- Add missing -j RETURN after the catchall rule

* Wed Mar 13 2009 Daniel B. <daniel@firewall-services.com> - 1.0-0
- Initial release based on smeserver-htbwshaper, but with a lot of
  changes and enhancement


%prep
%setup
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1

%{__rm} -f root/etc/e-smith/templates/etc/rc.d/init.d/qos/30Functions25DefineClasses.orig

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
    > %{name}-%{version}-filelist
echo "%doc COPYING"  >> %{name}-%{version}-filelist

%clean
cd ..
rm -rf %{name}-%{version}

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%post
%preun
%postun

